Create an auto-tagging rule for the authenticated user
curl --request POST \
--url https://memex.garden/api/create-auto-tagging-rule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"tag_id": "00000000-0000-0000-0000-000000000000",
"enabled": false,
"source_library": true,
"text_queries": [
"vector databases"
],
"ai_prompt": "Content about vector databases"
}
}
'import requests
url = "https://memex.garden/api/create-auto-tagging-rule"
payload = { "data": {
"tag_id": "00000000-0000-0000-0000-000000000000",
"enabled": False,
"source_library": True,
"text_queries": ["vector databases"],
"ai_prompt": "Content about vector databases"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
tag_id: '00000000-0000-0000-0000-000000000000',
enabled: false,
source_library: true,
text_queries: ['vector databases'],
ai_prompt: 'Content about vector databases'
}
})
};
fetch('https://memex.garden/api/create-auto-tagging-rule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ruleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Unauthorized"
}{
"error": "Internal server error",
"message": "<string>"
}API reference
Create an auto-tagging rule for the authenticated user
Creates an auto-tagging rule. Provide tag_id or at least one add_tag_ids value.
POST
/
create-auto-tagging-rule
Create an auto-tagging rule for the authenticated user

